### Class method

# Ide LspServiceClass bind_client_lazy

#### Declaration

    void
    ide_lsp_service_class_bind_client_lazy (
      IdeLspServiceClass* klass,
      IdeObject* provider
    )

#### Description

Like `ide_lsp_service_bind_client()` but will not immediately spawn the language server.

#### Parameters

`provider` | `IdeObject`
| An `IdeObject`
| The data is owned by the caller of the function.